Errors while updating gems

I’ve reported this before, but never heard anything. Maybe someone now
has some insight.

When I do a gem update, I always get errors like the following:

Successfully installed actionpack-1.12.5
Installing ri documentation for actionpack-1.12.5…
While generating documentation for actionpack-1.12.5
… MESSAGE: Unhandled special: Special: type=17, text=“SimpleXML”
… RDOC args: --ri --op
/usr/local/lib/ruby/gems/1.8/doc/actionpack-1.12.5/ri --quiet lib
(continuing with the rest of the installation)
Installing RDoc documentation for actionpack-1.12.5…

It happens for several gems - this time it was Actionpack,
Actionwebservice, Activerecord (twice in the same session too!)

Anyone have any insight as to why this happens? If I do an individual
update of the problem gem, it proceeds without error - but I’m not
totally convinced that everything was installed.

Anyone? Anyone? Bueller?

Thanks,

jt

This forum is not affiliated to the Ruby language, Ruby on Rails framework, nor any Ruby applications discussed here.

| Privacy Policy | Terms of Service | Remote Ruby Jobs